## GMimeFilterUnix2Dos

GMimeFilterUnix2Dos — Convert line-endings from UNIX (LF) to Windows/DOS (CRLF).

## Functions

GMimeFilter * | g_mime_filter_unix2dos_new ()

## Types and Values

struct | GMimeFilterUnix2Dos

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterUnix2Dos

## Description

A GMimeFilter for converting from UNIX to DOS line-endings.

## Functions

### g_mime_filter_unix2dos_new ()

    GMimeFilter *
    g_mime_filter_unix2dos_new (gboolean ensure_newline);

Creates a new GMimeFilterUnix2Dos filter.

#### Parameters

ensure_newline | `TRUE` if the filter should ensure that the stream ends in a new line |

#### Returns

a new GMimeFilterUnix2Dos filter.

## Types and Values

### struct GMimeFilterUnix2Dos

    struct GMimeFilterUnix2Dos;

A filter to convert a stream from Windows/DOS line endings to Unix line endings.

#### Members